// Author: Walter Guttmann
#include <fstream>
#include <iostream>

using namespace std;

//ifstream in("food.in");
#define in cin

int food[1<<11];

int main() {
  int n;
  while (in >> n) {
    if (n == 0) break;
    int a, b;
    in >> a >> b;
    int minf=100, maxf=0;
    for (int i=0 ; i<n ; i++) {
      in >> food[i];
      food[i] *= 6;
      minf = min(minf, food[i]);
      maxf = max(maxf, food[i]);
    }
    int low = maxf / 3;
    int hi = maxf;
    int mincost = 1<<20;
    for (int i=low ; i<=hi ; i++) {
      int cost = 0;
      for (int j=0 ; j<n ; j++) {
        int y = 1;
        while (y * i < food[j])
          ++y;
        int x = y * i - food[j];
        cost += a * x + 6 * b * y;
      }
      mincost = min(mincost, cost);
    }
	int denom = 6;
	if (mincost % 3 == 0) {
		mincost /= 3;
		denom /= 3;
	}
	if (mincost % 2 == 0) {
		mincost /= 2;
		denom /= 2;
	}
	printf("%d", mincost);
	if (denom > 1)
		printf(" / %d", denom);
	puts("");
  }
  return 0;
}

